package com.uas.finance.erp.model;

import com.uas.finance.model.ProductMix;

/**
 * created by shicr on 2017/12/20
 * 经营情况表
 **/
public class ProductMixInfo {

    /**
     * ID
     */
    private Long id;

    /**
     * 企业UU
     * @return
     */
    private Long enuu;

    /**
     *产品/服务种类
     */
    private String pm_kind;

    /**
     *今年营业收入
     */
    private Double pm_tannualrevenue;

    /**
     * 占今年总收入比例
     */
    private Double pm_tratio;

    /**
     * 上年营业收入
     */
    private Double pm_annualrevenue;

    /**
     * 占总收入比例
     */
    private Double pm_ratio;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public String getPm_kind() {
        return pm_kind;
    }

    public void setPm_kind(String pm_kind) {
        this.pm_kind = pm_kind;
    }

    public Double getPm_tannualrevenue() {
        return pm_tannualrevenue;
    }

    public void setPm_tannualrevenue(Double pm_tannualrevenue) {
        this.pm_tannualrevenue = pm_tannualrevenue;
    }

    public Double getPm_tratio() {
        return pm_tratio;
    }

    public void setPm_tratio(Double pm_tratio) {
        this.pm_tratio = pm_tratio;
    }

    public Double getPm_annualrevenue() {
        return pm_annualrevenue;
    }

    public void setPm_annualrevenue(Double pm_annualrevenue) {
        this.pm_annualrevenue = pm_annualrevenue;
    }

    public Double getPm_ratio() {
        return pm_ratio;
    }

    public void setPm_ratio(Double pm_ratio) {
        this.pm_ratio = pm_ratio;
    }

    public ProductMixInfo(ProductMix productMix) {
        this.id = productMix.getId();
        this.enuu = productMix.getEnuu();
        this.pm_annualrevenue = productMix.getPm_annualrevenue();
        this.pm_kind = productMix.getPm_kind();
        this.pm_ratio = productMix.getPm_ratio();
        this.pm_tannualrevenue = productMix.getPm_tannualrevenue();
        this.pm_tratio = productMix.getPm_tratio();
    }

    public ProductMixInfo() {

    }
}
